logoVoxagent
ApiWebhooksWebhookidRequests

/api/Webhooks/{webhookId}/requests

GET
/api/Webhooks/{webhookId}/requests

Authorization

Bearer Agent
AuthorizationBearer <token>

JWT Authorization header using Bearer scheme

In: header

AuthorizationBearer <token>

Agent token authorization header using Agent scheme

In: header

Path Parameters

webhookId*string
Formatuuid

Query Parameters

cursorCreatedAt?string
Formatdate-time
cursorId?string
Formatuuid
limit?integer
Default20
Formatint32

Response Body

curl -X GET "https://api.voxagent.app/api/Webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/requests"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "url": "string",
      "status": "Started",
      "failed": true,
      "error": "string",
      "response_status": 0,
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": {
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  }
}